Jump to content
kymation

[Addon} Theme Switcher

Recommended Posts

Hello Jim,

 

I'm hoping to use your module but I'm getting this error:

 

1364 - Field 'configuration_value' doesn't have a default value

insert into configuration ( configuration_title, configuration_key, configuration_group_id, sort_order, use_function, set_function ) values ( 'Version: 1.4.2', 'MODULE_HEADER_TAGS_THEME_SWITCHER_VERSION', '6', '0', '', 'tep_cfg_do_nothing(' ) 

[TEP STOP]

 

I saw your posts about this. Do you think you'll post a fix for this soon? I'm looking forward to using Theme Switcher.

 

By the way, I'm running MySQL 5.0.10

 

Kind regards,

 

-Jackie

 

 

 

Share this post


Link to post
Share on other sites

I have a fix for that bug, and the next one that shows up if you fix that. I'll try to get some testing done and post a version for you to try.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

OK, try this module file. Just replace the one in the package you have. I tested this on PHP 5.4.6 and MySQL 5.5.37, so it should work for your version.
 
Note that this was developed on osCommerce 2.3.4, so you will need to adjust the filenames if you are using an older version. This version uses minified versions of all the jQuery files, so it's looking for jquery-1.11.1.min.js, jquery-ui-1.10.4.min.js, and jquery-ui-1.10.4.min.css. Or whatever version numbers you're using. Edit your filenames as appropriate.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Thank you for your quick response!

 

I'm working with osCommerce 2.3.4. So, I'm good there.

 

Now I'm getting this error:

 

1364 - Field 'date_added' doesn't have a default value

insert into configuration ( configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function ) values ( '', 'MODULE_HEADER_TAGS_THEME_SWITCHER_JQUERY_TEST', '', '', '6', '7', 'tep_jquery_check', 'tep_cfg_do_nothing(' ) 

[TEP STOP]

 

 

Thank you for your help. I realize you haven't had to modify your module in a while. I sincerely appreciate your support.
 
Kind regards,
 
-Jackie

Share this post


Link to post
Share on other sites

I've updated the file at the same location with a fix for the latest bug. This one still shows a problem on my test system, but it may work on yours. Please let me know if it does. Or if it does not, of course.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

That one was a pain. Fix one bug that exposes another. Fix that one and four more show up. Oh well, that should keep us until the next major PHP/MySQL upgrade.

 

Thanks for testing my patches. It always helps to have other people with different software to check for compatibilities.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

That one was a pain. Fix one bug that exposes another. Fix that one and four more show up. Oh well, that should keep us until the next major PHP/MySQL upgrade.

 

Thanks for testing my patches. It always helps to have other people with different software to check for compatibilities.

 

The developer blues  :P

 

sorry could not resist hahah :thumbsup:

 

Regards

Joli


To improve is to change; to be perfect is to change often.

 

Share this post


Link to post
Share on other sites

@@joli1811  Yeah, pretty much standard procedure. Programming is a lot like a game of whack-a-mole.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I've uploaded a new version to the usual location. It contains the above bugfixes and an updated User's Manual. There are no functional changes, just bugfixes, so there's no need to upgrade if your current installation is working.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

It shows the full 2.2MB here. Try downloading again.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Download 17 june fine by me.

 

regards

john


To improve is to change; to be perfect is to change often.

 

Share this post


Link to post
Share on other sites

This is weird I can download 1.4.2 and extract with 7zip but not 1.4.3, I even tried a different browser, IE & chrome

 

Jimmy

post-27590-0-85088300-1403144334_thumb.jpg

Edited by DVBHardware

I'm not a coder just a splicer.

Share this post


Link to post
Share on other sites

Both were compressed by 7zip, although at different times. Maybe it's something to do with the osCommerce server. Try downloading this copy on my server.

 

If that doesn't work I'll try a different compression method.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Perfect, I will still re-install 7zip... this is bugging me

 

Thank You

 

Jimmy

Edited by DVBHardware

I'm not a coder just a splicer.

Share this post


Link to post
Share on other sites

Jimmy

 

just to confirm must be your set up/computer I  tested both no problems using 7zip .

Regards

Joli


To improve is to change; to be perfect is to change often.

 

Share this post


Link to post
Share on other sites

I re-installed 7 zip, now it opens theme_switcher_1.4.3.tar.gz without a problem.

 

Jimmy


I'm not a coder just a splicer.

Share this post


Link to post
Share on other sites

That's good. I was wondering if there was some obscure error in the package. Thanks for letting me know.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I've updated the package to include the new /includes/template_top.php from osCommerce 2.3.4. Anybody using an older version of osC should really update, but can also just use version 1.4.3 of this Addon.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Does this Theme Switcher Addon help in any way to allow the shopper to switch languages?

 

I see the osCommerce Admin Tools to define localization of currency, language, order status to be English, Deutsch/German, Espa-ol/Spanish, and French. I see the Includes folders for each Language.

 

It sure would be nice to have a drop-down or flag picker that lets the shopper switch the shopping interface to those language directories, currencies, and order status, but still use the site's existing customer, address book, order history, and admin etc.

 

Anybody have a solution to that effect?

Share this post


Link to post
Share on other sites

No, the theme switcher has nothing to do with languages. There's a language box in stock osCommerce that does what you are describing. Look in your Admin under Modules >> Boxes, and click Install.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×